FSIRAND(8)

NAME
fsirand - install random inode generation numbers in a filesystem

SYNOPSIS
fsirand [-F] [-p] [-x constant] special

DESCRIPTION
fsirand writes random inode generation numbers for all the inodes on device special. These random numbers make the NFS filehandles less predictable, increasing security of exported filesystems.

fsirand should be run on a clean and unmounted filesystem.

The options are as follows:

-F  Indicates that special is a file system image, rather than a device name. special will be accessed ‘as-is’, without requiring that it is a raw character device and without attempting to read a disklabel.

-p  Print the current inode generation numbers; the filesystem is not modified.

-x constant
    Exclusive-or the given constant with the random number used in the generation process.

fsirand exits zero on success, non-zero on failure.

If fsirand receives a SIGINFO signal, statistics on the amount of work completed and estimated completion time (in minutes:seconds) will be written to the standard error output.

SEE ALSO
fsck_ffs(8), newfs(8)

HISTORY
A fsirand utility appeared in NetBSD 1.3.

AUTHORS
Christos Zoulas <christos@NetBSD.org>.